## gpsmanshp 1.2.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #    This program was developed for use with
 #    gpsman --- GPS Manager: a manager for GPS receiver data
 #
-#    Copyright (c) 2003-2011 Miguel Filgueiras (mig@portugalmail.pt)
+#    Copyright (c) 2003-2013 Miguel Filgueiras (migfilg@t-online.de)
 #
 #     This program is free software; you can redistribute it and/or modify
 #       it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 #       along with this program.
 #
 
-VERSION = 1.2.1
+VERSION = 1.2.3
 
 TCLVERSION = 8.4
