=== debian/changelog ===
gpsmanshp (1.2.3-6) unstable; urgency=medium

  * QA upload.
  * Set section to interpreters.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2017 08:17:04 +0200

gpsmanshp (1.2.3-5) unstable; urgency=medium

  * Orphan package.
  * Update packaging:
    - Move to "minimal" debhelper style, making the build reproducible.
      (Closes: #777446, #792991)
    - Move to DEP-5 debian/copyright.
    - Add hardening flags.
    - Add missing #DEBHELPER# tokens to postinst and prerm scripts.
    - Tidy postinst and prerm scripts, adding set -u, etc.
    - Add Homepage field.
    - Tidy and expand long description.
    - Drop useless and unused files debian/ directory.
    - Drop dh_make template foo from debian/watch.
    - Add ${misc:Depends}
    - Bump Standards-Version to 3.9.8.
  * Reorder linker command options to build with --as-needed. Thanks to
    Andreas Moog <andreas.moog@warperbbs.de>. (Closes: #729726)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Sep 2016 20:07:45 +0100

gpsmanshp (1.2.3-4) unstable; urgency=low

  * Fixed permissions of some control files

 -- Rogerio Reis <rvr@debian.org>  Fri, 11 Oct 2013 08:06:04 +0100

gpsmanshp (1.2.3-3) unstable; urgency=low

  * Do not depend of Tk8.4 anymore (Closes: #725367)

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 18:39:46 +0100

gpsmanshp (1.2.3-2) unstable; urgency=low

  * Bug in installation solved

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 17:20:02 +0100

gpsmanshp (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 16:43:22 +0100

gpsmanshp (1.2-4) unstable; urgency=low

  * Bug fix: "debian/watch fails to report upstream&#39;s version", thanks
    to Raphael Geissert (Closes: #450169).

 -- Rogerio Reis <rvr@debian.org>  Fri, 09 Jan 2009 13:16:11 +0000

gpsmanshp (1.2-3) unstable; urgency=low

  *  binary-indep tag added to debian/rules (closes: #395693)

 -- Rogerio Reis <rvr@debian.org>  Wed,  1 Nov 2006 11:23:15 +0000

gpsmanshp (1.2-2) unstable; urgency=low

  * Bug fix: remotion of the package now cleans back pkgIndex.tcl (Closes: #328495).

 -- Rogerio Reis <rvr@debian.org>  Wed,  5 Oct 2005 15:31:44 +0100

gpsmanshp (1.2-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Thu,  9 Sep 2004 18:23:52 +0100

gpsmanshp (1.1-1) unstable; urgency=low

  * New upstream release 
  * Architecture corrected. (Closes: 252890)

 -- Rogerio Reis <rvr@debian.org>  Sat,  5 Jun 2004 22:31:15 +0100

gpsmanshp (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Now for tcl8.4
  * Bug fix: "gpsmanshp: fails to install on m68k", thanks to Christian
    T. Steigies (Closes: #195247).

 -- Rogerio Reis <rvr@debian.org>  Fri,  4 Jun 2004 23:54:36 +0100

gpsmanshp (1.0.1-3) unstable; urgency=low

  * package needs to depend on tcl for postinst pkg_mkIndex call (closes: #195247)

 -- Rogerio Reis <rvr@debian.org>  Tue, 10 Jun 2003 14:35:20 +0100

gpsmanshp (1.0.1-2) unstable; urgency=low

  * pkgInst generation corrected.

 -- Rogerio Reis <rvr@debian.org>  Thu,  6 Mar 2003 12:59:15 +0000

gpsmanshp (1.0.1-1) unstable; urgency=low

  * Initial Release. (closes: #183128)

 -- Rogerio Reis <rvr@debian.org>  Tue,  4 Mar 2003 12:43:24 +0000
