=== debian/control ===
Source: gpsmanshp
Section: interpreters
Priority: extra
Homepage: http://gpsmanshp.sourceforge.net/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libshp-dev, tcl, tcl-dev
Standards-Version: 3.9.8

Package: gpsmanshp
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, tcllib
Description: Tcl interface to shapelib
 A Tcl package that provides the means of creating and reading files in the
 ESRI Shapefile for keeping 2 or 3 dimensional points and polylines.
 .
 It was developed for use in GPSMan, a manager of GPS receiver data and is
 based on the shapelib module. Along with this package, gpstr2shp.c was also
 developed which translates GPStrans data files into Shapefile ones.
