=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tcl -c -fPIC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALLDIR=debian/gpsmanshp/usr/lib/tcl
