=== debian/watch ===
version=3
http://www.ncc.up.pt/gpsmanshp/src/gpsmanshp-(.*).tgz
